> For the complete documentation index, see [llms.txt](https://docs.convai.com/api-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.convai.com/api-docs/zh/cha-jian-yu-ji-cheng/convai-unreal-engine-plugin/compatibility-and-requirements/character-rig-support.md).

# 角色骨架支持

哪些角色骨架可与 Convai Unreal Engine 插件配合使用、每种骨架需要什么设置，以及在哪里查找各骨架特定的设置指南。

Convai Unreal Engine 插件通过……驱动面部动画 `UConvaiFaceSyncComponent`，它输出由……控制的面部动画数据 `EC_LipSyncMode` 枚举。Blendshape 模式输出 blendshape 通道； `基于视素` 模式输出 viseme 值。你选择的唇形同步模式决定哪些绑定类型兼容。

### 支持的绑定

| 骨架类型                                                                                                                       | 唇形同步模式                                                                                            | 开箱即用     | 额外设置                                                                                                                                             |
| -------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------- | -------- | ------------------------------------------------------------------------------------------------------------------------------------------------ |
| [MetaHuman](/api-docs/zh/cha-jian-yu-ji-cheng/convai-unreal-engine-plugin/getting-started/set-up-a-metahuman-character.md) | `MetaHuman 混合变形` (`BS_MHA`)                                                                       | 是；这是默认模式 | 随附 `Convai_MetaHuman_BodyAnim` 和 `Convai_MetaHuman_FaceAnim` 包含动画蓝图                                                                              |
| [Reallusion Character Creator（CC4 和 CC5）](https://www.reallusion.com/auto-setup/unreal-engine/default.html)                | CC5： `MetaHuman 混合变形` (`BS_MHA`）；CC4： `ARKit 混合变形` (`BS_ARKit`）或 `CC4 扩展混合变形` (`BS_CC4_Extended`) | 没有       | 遵循 [Reallusion 设置指南](/api-docs/zh/cha-jian-yu-ji-cheng/convai-unreal-engine-plugin/getting-started/set-up-a-reallusion-cc-character.md) 用于动画蓝图设置 |
| 兼容 ARKit 的骨骼绑定                                                                                                             | `ARKit 混合变形` (`BS_ARKit`)                                                                         | 没有       | 配置 `LipSyncMode` 为 `BS_ARKit`；将 61 个 blendshape 通道连接到你的绑定                                                                                        |
| 基于 viseme 的绑定                                                                                                              | `基于音素口型` (`基于视素`)                                                                                 | 没有       | 配置 `LipSyncMode` 为 `基于视素`；将 15 个 OVR viseme 映射到你的绑定                                                                                              |
| 单网格通用绑定                                                                                                                    | `自动` 或 `关闭`                                                                                       | 部分       | 未配置兼容模式则没有面部动画                                                                                                                                   |

### MetaHuman 角色

MetaHuman 是默认绑定目标。插件随附 `Convai_MetaHuman_BodyAnim` 和 `Convai_MetaHuman_FaceAnim` 位于 `Content/MetaHumans/Animations/`，并默认设置 `LipSyncMode` 为 `BS_MHA` 默认启用 `UConvaiFaceSyncComponent`。MetaHuman 设置无需单独下载动画蓝图。

该 `GetBodyAndFaceSkeletalMeshComponents` 工具函数（可由 Blueprint 调用，类别 `Convai|Utilities`）会解析身体和面部 `骨骼网格组件` 引用，适用于 MetaHuman 风格的 `Actor` ，并使用骨骼名称启发式自动处理。将面部网格与身体网格分离的 MetaHuman 绑定可以被正确处理。

请使用 MetaHuman 设置指南了解特定绑定的设置流程。

{% content-ref url="/pages/f0a9565e073a000fe0ed7df2961660e00793150b" %}
[设置 MetaHuman 角色](/api-docs/zh/cha-jian-yu-ji-cheng/convai-unreal-engine-plugin/getting-started/set-up-a-metahuman-character.md)
{% endcontent-ref %}

{% embed url="<https://youtu.be/4fMCKkrfyaA>" %}
MetaHuman 角色设置步骤
{% endembed %}

### Reallusion Character Creator（CC4 和 CC5）

[Reallusion Character Creator](https://www.reallusion.com/auto-setup/unreal-engine/default.html) CC4 和 CC5 角色使用与 MetaHuman 设置不同的动画蓝图工作流。插件包含 `FixCC5LipsyncPostProcessBlendshapes` （可由 Blueprint 调用，类别 `Convai|LipSync`）用于为使用 `ExpBoneData` 在其后处理动画实例中。

{% hint style="info" %}
Reallusion 设置使用单独的 Convai 动画蓝图。在将 CC4 或 CC5 角色分配到场景之前，请先遵循 Reallusion 设置指南。
{% endhint %}

在分配 Reallusion 动画蓝图后，设置 `LipSyncMode` 在 `UConvaiFaceSyncComponent` 根据绑定代次附加到你的 CC 角色：使用 `MetaHuman 混合变形` (`BS_MHA`）用于 CC5，以及 `ARKit 混合变形` (`BS_ARKit`）用于 CC4。对于驱动扩展 Reallusion blendshape 集的 CC4 绑定，请使用 `CC4 扩展混合变形` (`BS_CC4_Extended`）替代。

请使用 Reallusion 设置指南完成下载和动画蓝图分配步骤。

{% content-ref url="/pages/d29e5c59616e0066f5596223946116f5c08bc90d" %}
[设置 Reallusion（CC）角色](/api-docs/zh/cha-jian-yu-ji-cheng/convai-unreal-engine-plugin/getting-started/set-up-a-reallusion-cc-character.md)
{% endcontent-ref %}

{% embed url="<https://www.youtube.com/watch?v=nyPNP-S92QI>" %}
Reallusion CC 角色设置步骤
{% endembed %}

### 兼容 ARKit 的骨骼绑定

任何暴露 ARKit 风格 blendshape 目标的绑定都可以使用 `BS_ARKit` 模式。插件在此模式下驱动 61 个 blendshape 通道：52 个标准 ARKit 面部目标加上 9 个头部和眼部旋转通道（`头部偏航`, `头部俯仰`, `头部横滚`, `左眼偏航`, `左眼俯仰`, `左眼横滚`, `右眼偏航`, `右眼俯仰`, `右眼横滚`）。设置 `LipSyncMode` 为 `ARKit 混合变形` 在 `UConvaiFaceSyncComponent` 并将 blendshape 输出连接到你的绑定动画蓝图。

### 基于 viseme 的绑定

`基于视素` 模式输出 15 个 OVR viseme 值（命名为 `sil`, `PP`, `FF`, `TH`, `DD`, `kk`, `CH`, `SS`, `nn`, `RR`, `aa`, `E`, `ih`, `oh`, `ou`）。任何将这 15 个 viseme 名称映射到形变目标或骨骼姿势的绑定都可以使用此模式。

### 绑定检测工具

`GetBodyAndFaceSkeletalMeshComponents` 检查一个 `Actor`的 `骨骼网格组件` 引用，并使用骨骼名称启发式解析身体和面部网格。它处理：

* 只有一个骨骼网格的 Actor——该网格成为身体，面部输出为 `null`.
* 拥有两个或更多骨骼网格的 Actor——每个网格都会根据身体标记骨骼（`骨盆`, `手`, `颈部`，以及其他）以及面部标记骨骼（`眼睛`, `下颌`, `眉毛`，以及其他）；得分最高的网格赢得各自角色。
* 没有骨骼网格组件的 Actor——两个输出都为 `null`.

此函数面向 MetaHuman 风格绑定，但也可处理单网格和未识别绑定而不会崩溃。

### 下一步

在确认绑定支持后，请在安装或验证插件前检查网络要求。

{% content-ref url="/pages/4b0adccfe599095ddce0cd91a25e2fc306475dff" %}
[网络和 API 要求](/api-docs/zh/cha-jian-yu-ji-cheng/convai-unreal-engine-plugin/compatibility-and-requirements/network-and-api-requirements.md)
{% endcontent-ref %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.convai.com/api-docs/zh/cha-jian-yu-ji-cheng/convai-unreal-engine-plugin/compatibility-and-requirements/character-rig-support.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
